package com.smcic.api.conference.dto;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;
import lombok.NoArgsConstructor;

@NoArgsConstructor
@Data
public class WxPhoneDTO {

    @JSONField(name = "errcode")
    private Integer errcode;
    @JSONField(name = "errmsg")
    private String errmsg;
    @JSONField(name = "phone_info")
    private PhoneInfoDTO phoneInfo;

    @NoArgsConstructor
    @Data
    public static class PhoneInfoDTO {
        @JSONField(name = "phoneNumber")
        private String phoneNumber;
        @JSONField(name = "purePhoneNumber")
        private String purePhoneNumber;
        @JSONField(name = "countryCode")
        private String countryCode;
        @JSONField(name = "watermark")
        private WatermarkDTO watermark;

        @NoArgsConstructor
        @Data
        public static class WatermarkDTO {
            @JSONField(name = "timestamp")
            private Integer timestamp;
            @JSONField(name = "appid")
            private String appid;
        }
    }
}
