package com.smcic.api.conference.job;

import com.smcic.api.conference.service.impl.ConferenceWxAccountServiceImpl;
import com.smcic.api.conference.service.impl.UserThirdServiceImpl;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Component
public class WxToken {

    @Resource
    private UserThirdServiceImpl userThirdService;

    @Scheduled(cron = "0 1 * * * *")
    public void refresh(){
        userThirdService.allRefresh();
    }
}
