package com.smcic.api.operate.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

@NoArgsConstructor
@Data
public class TideUser {

    @JsonProperty("data")
    private DataDTO data;
    @JsonProperty("code")
    private Integer code;
    @JsonProperty("msg")
    private String msg;

    @NoArgsConstructor
    @Data
    public static class DataDTO {
        @JsonProperty("result")
        private ResultDTO result;
        @JsonProperty("message")
        private String message;
        @JsonProperty("status")
        private String status;

        @NoArgsConstructor
        @Data
        public static class ResultDTO {
            @JsonProperty("moblie")
            private String moblie;
            @JsonProperty("is_baoliao")
            private Integer isBaoliao;
            @JsonProperty("authentication_state")
            private Integer authenticationState;
            @JsonProperty("weibosign")
            private String weibosign;
            @JsonProperty("weixinsign")
            private String weixinsign;
            @JsonProperty("user_summary")
            private String userSummary;
            @JsonProperty("hassign")
            private Integer hassign;
            @JsonProperty("nick")
            private String nick;
            @JsonProperty("score")
            private String score;
            @JsonProperty("currentday")
            private Integer currentday;
            @JsonProperty("weibo")
            private Integer weibo;
            @JsonProperty("nickname_status")
            private String nicknameStatus;
            @JsonProperty("banned")
            private Integer banned;
            @JsonProperty("qqsign")
            private String qqsign;
            @JsonProperty("qq")
            private Integer qq;
            @JsonProperty("extraday")
            private Integer extraday;
            @JsonProperty("level")
            private String level;
            @JsonProperty("sex")
            private Integer sex;
            @JsonProperty("avatar")
            private String avatar;
            @JsonProperty("summary_status")
            private Integer summaryStatus;
            @JsonProperty("status2")
            private Integer status2;
            @JsonProperty("friends")
            private Integer friends;
            @JsonProperty("levelnum")
            private String levelnum;
            @JsonProperty("avatar_status")
            private String avatarStatus;
            @JsonProperty("weixin")
            private Integer weixin;
            @JsonProperty("watch")
            private Integer watch;
            @JsonProperty("mediaIdState")
            private Integer mediaIdState;
        }
    }
}
