package com.smcic.api.operate.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author syj
 * @since 2022-12-16
 */
@Getter
@Setter
@TableName("operate_vote_info")
public class VoteInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private String target;

    private String source;

    private String client;

    private LocalDateTime createTime;

    private LocalDate dt;

    public VoteInfo() {
    }

    public VoteInfo(String target, String source, String client, LocalDateTime createTime, LocalDate dt) {
        this.target = target;
        this.source = source;
        this.client = client;
        this.createTime = createTime;
        this.dt = dt;
    }
}
