package com.smcic.api.tags.controller;

import com.smcic.api.tags.dto.UserTagsDTO;
import com.smcic.api.tags.entity.SspTags;
import com.smcic.api.tags.entity.UserTags;
import com.smcic.api.tags.service.impl.SspTagsService;
import com.smcic.api.tags.service.impl.UserTagsService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

@RestController
@RequestMapping("tags")
public class TagsController {

    @Resource
    private SspTagsService sspTagsService;

    @Resource
    private UserTagsService userTagsService;

    @RequestMapping("list")
    public List<SspTags>  sspTags(){
        return sspTagsService.sspTags();
    }

    @RequestMapping("store")
    public void store(@RequestBody UserTagsDTO userTags){
        userTagsService.insert(userTags);
    }


}
